> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Draft



## OpenAPI

````yaml /openapi.json put /v1/vendor/requests/{recipientId}/draft
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/vendor/requests/{recipientId}/draft:
    put:
      tags:
        - Rfq Vendor
      summary: Save Draft
      operationId: RfqVendorController_saveDraft_v1
      parameters:
        - name: recipientId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                currency:
                  anyOf:
                    - type: string
                      pattern: ^[A-Z]{3}$
                    - type: 'null'
                notes:
                  anyOf:
                    - type: string
                      maxLength: 4000
                    - type: 'null'
                reference:
                  anyOf:
                    - type: string
                      maxLength: 255
                    - type: 'null'
                terms:
                  anyOf:
                    - type: object
                      properties:
                        paymentTerms:
                          anyOf:
                            - type: string
                              enum:
                                - net_30
                                - net_60
                                - deposit_50
                                - deposit_30
                                - prepaid
                            - type: 'null'
                        deliveryTerms:
                          anyOf:
                            - type: string
                              enum:
                                - exw
                                - fca
                                - fob
                                - dap
                                - ddp
                            - type: 'null'
                        validUntil:
                          anyOf:
                            - type: string
                              pattern: ^\d{4}-\d{2}-\d{2}$
                            - type: 'null'
                        exclusions:
                          anyOf:
                            - type: string
                              maxLength: 4000
                            - type: 'null'
                        afterPoSubmittals:
                          default: false
                          type: boolean
                      additionalProperties: false
                    - type: 'null'
                lines:
                  default: []
                  maxItems: 500
                  type: array
                  items:
                    type: object
                    properties:
                      requestItemId:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                      values:
                        default: {}
                        type: object
                        propertyNames:
                          type: string
                          maxLength: 40
                        additionalProperties:
                          anyOf:
                            - type: string
                              maxLength: 255
                            - type: 'null'
                      notes:
                        anyOf:
                          - type: string
                            maxLength: 4000
                          - type: 'null'
                      alternatives:
                        default: []
                        maxItems: 5
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                              maxLength: 255
                            manufacturer:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            refNumber:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            material:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            finish:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            dimensions:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            compliance:
                              anyOf:
                                - type: string
                                  maxLength: 255
                                - type: 'null'
                            reason:
                              anyOf:
                                - type: string
                                  maxLength: 4000
                                - type: 'null'
                            values:
                              default: {}
                              type: object
                              propertyNames:
                                type: string
                                maxLength: 40
                              additionalProperties:
                                anyOf:
                                  - type: string
                                    maxLength: 255
                                  - type: 'null'
                            quotedQuantity:
                              anyOf:
                                - type: string
                                  pattern: ^\d{1,12}(\.\d{1,2})?$
                                - type: 'null'
                          required:
                            - name
                          additionalProperties: false
                      noBid:
                        type: boolean
                      noBidReason:
                        anyOf:
                          - type: string
                            enum:
                              - outside_range
                              - cannot_meet_spec
                              - cannot_meet_lead_time
                              - moq_too_high
                              - discontinued
                          - type: 'null'
                      includedInItemId:
                        anyOf:
                          - type: string
                            pattern: ^[1-9]\d{0,18}$
                          - type: 'null'
                      perUnit:
                        anyOf:
                          - type: string
                            pattern: ^\d{1,12}(\.\d{1,2})?$
                          - type: 'null'
                      quotedQuantity:
                        anyOf:
                          - type: string
                            pattern: ^\d{1,12}(\.\d{1,2})?$
                          - type: 'null'
                    required:
                      - requestItemId
                    additionalProperties: false
                charges:
                  default: []
                  maxItems: 20
                  type: array
                  items:
                    type: object
                    properties:
                      label:
                        type: string
                        minLength: 1
                        maxLength: 120
                      amount:
                        type: string
                        pattern: ^-?\d{1,12}(\.\d{1,2})?$
                    required:
                      - label
                      - amount
                    additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.